# $Revision: 1.16 $, $Date: 2008-03-02 21:21:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Random
Summary:	Math::Random - random number generators
Summary(pl.UTF-8):	Math::Random - generatory liczb losowych
Name:		perl-Math-Random
Version:	0.70
Release:	3
# same as perl except some C code
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	36be7507dbfedfa3e919f4ea47e650dc
URL:		http://search.cpan.org/dist/Math-Random/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Random is a Perl port of the C version of randlib, which is
a suite of routines for generating random deviates.

%description -l pl.UTF-8
Math::Random jest perlowym portem napisanej w C biblioteki randlib,
będącej zbiorem procedur do generowania liczb losowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mkdir examples
mv example.pl examples

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLDIRS=vendor

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README MANIFEST
%{perl_vendorarch}/Math/*.pm
%dir %{perl_vendorarch}/auto/Math/Random
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Random/*.so
%{perl_vendorarch}/auto/Math/Random/*.ix
%{perl_vendorarch}/auto/Math/Random/*.bs
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Random.spec,v $
Revision 1.16  2008-03-02 21:21:23  radek
- release 3

Revision 1.15  2008-02-10 12:15:33  arekm
- rel 2

Revision 1.14  2007-12-24 02:40:02  zbyniu
- up to 0.70

Revision 1.13  2007-05-27 14:28:56  qboosh
- generic URL

Revision 1.12  2007/05/27 13:47:32  agaran
- up to 0.69, rel 1, builds here

Revision 1.11  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.9  2004/11/03 22:30:35  paladine
- formatting

Revision 1.8  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.7  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/23 18:04:23  ankry
- license fixes, unification

Revision 1.5  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.4  2003/08/25 19:32:30  ankry
- typo

Revision 1.3  2003/08/25 19:30:05  ankry
- no need for capitals here

Revision 1.2  2003/08/25 08:08:45  radek
- release 2: fixed Makefile.PL arguments, %%files, %%changelog,
  weird Summary, removed R:perl; it's not noarch
NOTE: read before commit.

Revision 1.1  2003/08/24 12:50:16  djurban
- initial spec
- written by Grzegorz Zebrowski (knivre)
